org.eclipse.emf.facet.widgets.celleditors.modelCellEditor

## Interface UnaryReferenceCellEditor

All Superinterfaces:
  AbstractModelCellEditor

    public interface UnaryReferenceCellEditor
    extends AbstractModelCellEditor

A representation of the model object ' Unary Reference Cell Editor'.

The following features are supported:

- `Unary Reference Cell Editor Impl`

See Also:
  `ModelCellEditorPackage.getUnaryReferenceCellEditor()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getUnaryReferenceCellEditorImpl()` Returns the value of the ' Unary Reference Cell Editor Impl' attribute.
`void` `setUnaryReferenceCellEditorImpl(java.lang.String value)` Sets the value of the ' `Unary Reference Cell Editor Impl`' attribute.

### Methods inherited from interface org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.AbstractModelCellEditor

`getCellId, getCellType, getModelCellEditorImpl, setCellId, setCellType`

### Method Detail

#### getUnaryReferenceCellEditorImpl

    java.lang.String getUnaryReferenceCellEditorImpl()

Returns the value of the ' Unary Reference Cell Editor Impl' attribute.

If the meaning of the 'Unary Reference Cell Editor Impl' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Unary Reference Cell Editor Impl' attribute.
See Also:
  `setUnaryReferenceCellEditorImpl(String)`, `ModelCellEditorPackage.getUnaryReferenceCellEditor_UnaryReferenceCellEditorImpl()`
Generated:
Model:
  required="true"

#### setUnaryReferenceCellEditorImpl

    void setUnaryReferenceCellEditorImpl(java.lang.String value)

Sets the value of the ' `Unary Reference Cell Editor Impl`' attribute.

Parameters:
  `value` - the new value of the ' Unary Reference Cell Editor Impl' attribute.
See Also:
  `getUnaryReferenceCellEditorImpl()`
Generated: